[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 30

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;---|AI Commands|-----------------------------------------------------------
[Command]
name = "AI1"
command = D,D,D,F,F,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI2"
command = D,D,D,F,F,U,a+b+c+x+y+z
time = 1

[Command]
name = "AI3"
command = D,D,D,F,F,UF,a+b+c+x+y+z
time = 1

[Command]
name = "AI4"
command = D,D,D,F,F,D,a+b+c+x+y+z
time = 1

[Command]
name = "AI5"
command = D,D,D,F,F,DF,a+b+c+x+y+z
time = 1

[Command]
name = "AI6"
command = D,D,D,F,F,B,a+b+c+x+y+z
time = 1

[Command]
name = "AI7"
command = D,D,D,F,F,DB,a+b+c+x+y+z
time = 1

[Command]
name = "AI8"
command = D,D,D,F,F,UB,a+b+c+x+y+z
time = 1

[Command]
name = "AI9"
command = D,D,D,F,U,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI10"
command = D,D,D,F,UF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI11"
command = D,D,D,F,DF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI12"
command = D,D,D,F,D,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI13"
command = D,D,D,F,DB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI14"
command = D,D,D,F,B,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI15"
command = D,D,D,F,UB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI16"
command = D,D,D,F,F,F,a+b+c+x+y,z
time = 1

[Command]
name = "AI17"
command = D,D,D,F,F,F,a+b+c+x,y,z
time = 1

[Command]
name = "AI18"
command = D,D,D,F,F,F,a+b+c,x,y,z
time = 1

[Command]
name = "AI19"
command = D,D,D,F,F,F,a+b,c,x,y,z
time = 1

[Command]
name = "AI20"
command = D,D,D,F,F,F,a,b,c,x,y,z
time = 1

[Command]
name = "AI21"
command = D,D,D,F,F,F,a+b+c,x+y+z
time = 1

[Command]
name = "AI22"
command = D,D,D,F,F,U,a+b,c+x+y+z
time = 1

[Command]
name = "AI23"
command = D,D,D,F,F,UF,a,b+c+x+y+z
time = 1

[Command]
name = "AI24"
command = D,D,D,F,F,U,a+b,c+x+y+z
time = 1

[Command]
name = "AI25"
command = D,D,D,F,F,DF,a,b,c+x+y+z
time = 1

[Command]
name = "AI26"
command = D,D,D,F,F,B,a+b,c+x,y+z
time = 1

[Command]
name = "AI27"
command = D,D,D,F,F,DB,a,b+c+x,y+z
time = 1

[Command]
name = "AI28"
command = D,D,D,F,F,UB,a,b+c+x+y,z
time = 1

[Command]
name = "AI29"
command = DF,D,D,F,U,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI30"
command = B,D,D,F,UF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI31"
command = B,B,BD,F,DF,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI32"
command = D,F,F,F,D,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI33"
command = DF,D,DF,UF,DB,F,a+b+c+x+y+z
time = 1

[Command]
name = "AI34"
command = D,D,D,F,DB,DF,a+b+c+x+y+z
time = 1

[Command]
name = "AI35"
command = D,D,UF,DF,UB,UF,a+b+c+x+y+z
time = 1

;-| Super Motions |--------------------------------------------------------

[Command]
name = "Oni_Honou_x"
command = ~D, DF, F,D, DF, F, x
time = 25

[Command]
name = "Oni_Honou_y"
command = ~D, DF, F,D, DF, F, y
time = 25

[Command]
name = "Oni_Honou_z"
command = ~D, DF, F,D, DF, F, z
time = 25

[Command]
Name = "blood"
Command = ~D, DB, B, D, DB, B, x+y
Time = 25

[Command]
Name = "blood"
Command = ~D, DB, B, D, DB, B, y+z
Time = 25

[Command]
Name = "blood"
Command = ~D, DB, B, D, DB, B, x+z
Time = 25

[Command]
Name = "orochi"
Command = ~D, DF, F, DF, B, s
Time = 30

[Command]
Name = "orochi"
Command = ~D, F, D, B, s
Time = 30

[Command]
Name = "ya_otome_x"
Command = ~D, DF, F, DF, B, x
Time = 25

[Command]
Name = "ya_otome_x"
Command = ~D, F, D, B, x
Time = 25

[Command]
Name = "ya_otome_y"
Command = ~D, DF, F, DF, B, y
Time = 25

[Command]
Name = "ya_otome_y"
Command = ~D, F, D, B, y
Time = 25

[Command]
Name = "ya_otome_z"
Command = ~D, DF, F, DF, B, z
Time = 25

[Command]
Name = "ya_otome_z"
Command = ~D, F, D, B, z
Time = 25

[Command]
Name = "ya_sakazuki_x"
Command = ~D, DB, B, DB, F, x
Time = 25

[Command]
Name = "ya_sakazuki_x"
Command = ~D, B, D, F, x
Time = 25

[Command]
Name = "ya_sakazuki_y"
Command = ~D, DB, B, DB, F, y
Time = 25

[Command]
Name = "ya_sakazuki_y"
Command = ~D, B, D, F, y
Time = 25

[Command]
Name = "ya_sakazuki_z"
Command = ~D, DB, B, DB, F, z
Time = 25

[Command]
Name = "ya_sakazuki_z"
Command = ~D, B, D, F, z
Time = 25

;-| Special Motions |------------------------------------------------------
[Command]
name = "qcf_x"
command = ~D, DF, F, x
time = 15

[Command]
name = "qcf_y"
command = ~D, DF, F, y
time = 15

[Command]
name = "qcf_z"
command = ~D, DF, F, z
time = 15

[Command]
name = "df_x"
command = ~F, D, DF, x
time = 25

[Command]
name = "df_y"
command = ~F, D, DF, y
time = 25

[Command]
name = "df_z"
command = ~F, D, DF, z
time = 25

[Command]
name = "qcb_x"
command = ~D, DB, B, x
time = 25

[Command]
name = "qcb_y"
command = ~D, DB, B, y
time = 25

[Command]
name = "qcb_z"
command = ~D, DB, B, z
time = 25

[Command]
name = "hcbf_x"
command = ~F, D, DB,F, x
time = 30

[Command]
name = "hcbf_y"
command = ~F, D, DB,F, y
time = 30

[Command]
name = "hcbf_z"
command = ~F, D, DB,F, z
time = 30

[Command]
name = "hcb_a"
command = ~F, D, DB, a
time = 22

[Command]
name = "hcb_b"
command = ~F, D, DB, b
time = 22

[Command]
name = "hcb_c"
command = ~F, D, DB, c
time = 22
;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| Cvs2 System Commands |--------------------------------------------------------
[Command]
Name = "superjump"
command = $D, $U
time = 18
;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = x+y+z
time = 1

[Command]
name = "recovery"
command = a+x
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Single Dir |------------------------------------------------------------
[Command]
name = "fwd" ;Required (do not remove)
command = $F
time = 1

[Command]
name = "downfwd"
command = $DF
time = 1

[Command]
name = "down" ;Required (do not remove)
command = $D
time = 1

[Command]
name = "downback"
command = $DB
time = 1

[Command]
name = "back" ;Required (do not remove)
command = $B
time = 1

[Command]
name = "upback"
command = $UB
time = 1

[Command]
name = "up" ;Required (do not remove)
command = $U
time = 1

[Command]
name = "upfwd"
command = $UF
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
[Statedef -1]
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Orochi]
type = ChangeState
value = 3999
triggerall = roundstate = 2
triggerall = life < 500
triggerall = var(50) = 0
triggerall = var(51) = 0 || var(51) = 1
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command = "orochi"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Blood Rage/Chi No Bosou]
type = ChangeState
value = 3300
triggerall = roundstate = 2
triggerall = var(50)
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command = "blood"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Oni Honou Hard]
type = ChangeState
value = 3220
triggerall = roundstate = 2
triggerall = var(50)
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command="Oni_Honou_z"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = (1020 || 1023 || 1026) && animelemtime(4)>0
trigger15 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Oni Honou Medium]
type = ChangeState
value = 3210
triggerall = roundstate = 2
triggerall = var(50)
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command="Oni_Honou_y"
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = (1020 || 1023 || 1026) && animelemtime(4)>0
trigger15 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Ura 100 Shiki: Oni Honou Light]
type = ChangeState
value = 3200
triggerall = roundstate = 2
triggerall = var(50)
triggerall = var(49) = 0
triggerall = IfElse(var(20) != 0,var(20) != 0, power >= 1000)
triggerall=IfElse(var(20)!=0,(command="Oni_Honou_x"||command="Oni_Honou_y"||command="Oni_Honou_z"),command="Oni_Honou_x")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = (1020 || 1023 || 1026) && animelemtime(4)>0
trigger15 = StateType = S && MoveContact && Var(20) > 0
trigger16 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Ya Sakazuki Hard]
type = ChangeState
value = 3140
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command = "ya_sakazuki_z"
triggerall = p2stateno != 3105
triggerall = p2stateno != 3135
triggerall = p2stateno != 3155
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Ya Sakazuki Medium]
type = ChangeState
value = 3120
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = command="ya_sakazuki_y"
triggerall = p2stateno != 3105
triggerall = p2stateno != 3135
triggerall = p2stateno != 3155
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1,  Ura 108 Shiki: Ya Sakazuki]
type = ChangeState
value = 3100
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall=IfElse(var(20)!=0,(command="ya_sakazuki_x"||command="ya_sakazuki_y"||command="ya_sakazuki_z"),command="ya_sakazuki_x")
triggerall = p2stateno != 3105
triggerall = p2stateno != 3135
triggerall = p2stateno != 3155
triggerall = IfElse(var(20) != 0,var(20) != 0, power >= 1000)
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = StateType = S && MoveContact && Var(20) > 0
trigger15 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Ya Otome. Hard]
type = ChangeState
value = 3030
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = power >= 3000
triggerall = command =  "ya_otome_z"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Ya Otome. Medium]
type = ChangeState
value = 3010
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall = !var(20)
triggerall = power >= 2000
triggerall = command =  "ya_otome_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Kin 1211 Shiki: Ya Otome. Light]
type = ChangeState
value = 3000
triggerall = roundstate = 2
triggerall = var(49) = 0
triggerall = IfElse(var(20) != 0,var(20) != 0, power >= 1000)
triggerall=IfElse(var(20)!=0,(command="ya_otome_x"||command="ya_otome_y"||command="ya_otome_z"),command="ya_otome_x")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = (1031 || 1035 || 1038) && animelemtime(4)>0
trigger14 = StateType = S && MoveContact && Var(20) > 0
trigger15 = stateno = 1040 && time >= 49
;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1,  212 Shiki: Koto Tsuki In]
type = ChangeState
value = IfElse(command = "hcb_a",1050,IfElse(command = "hcb_b",1054,1057))
triggerall = var(49) = 0
triggerall = command =  "hcb_a" || command = "hcb_b" || command = "hcb_c"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = StateType = S && MoveContact && Var(20) > 0
trigger14 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Kuzu Kaze (Scum Gale)]
type = ChangeState
value = 1040
triggerall = var(49) = 0
triggerall = command =  "hcbf_x" || command = "hcbf_y" || command = "hcbf_z"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, 127 Shiki: Aoi Hana]
type = ChangeState
value = IfElse(command = "qcb_x",1030,IfElse(command = "qcb_y",1034,1037))
triggerall = var(49) = 0
triggerall = command =  "qcb_x" || command = "qcb_y" || command = "qcb_z"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = 215 && movecontact
trigger14 = StateType = S && MoveContact && Var(20) > 0
trigger15 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Aoi Hana Second]
type = ChangeState
value = IfElse(command = "qcb_x",1031,IfElse(command = "qcb_y",1035,1038))
triggerall = var(49) = 0
triggerall = command =  "qcb_x" || command = "qcb_y" || command = "qcb_z"
triggerall = statetype != A
trigger1 = stateno = 1030 && animelemtime(4)>0
trigger2 = stateno = 1034 && animelemtime(4)>0
trigger3 = stateno = 1037 && animelemtime(4)>0
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Aoi Hana Third]
type = ChangeState
value = IfElse(command = "qcb_x",1032,IfElse(command = "qcb_y",1036,1039))
triggerall = var(49) = 0
triggerall = command =  "qcb_x" || command = "qcb_y" || command = "qcb_z"
triggerall = statetype != A
trigger1 = stateno = 1031 && animelemtime(4)>0
trigger2 = stateno = 1035 && animelemtime(4)>0
trigger3 = stateno = 1038 && animelemtime(4)>0
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, 100 Shiki: Oni Yaki]
type = ChangeState
value = IfElse(command = "df_x",1020,IfElse(command = "df_y",1023,1026));
triggerall = var(49) = 0
triggerall = command =  "df_x" || command = "df_y" || command = "df_z";
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = 215 && animelemtime(3)>0 && movecontact
trigger14 = StateType = S && MoveContact && Var(20) > 0
trigger15 = stateno = 1040 && time >= 49
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, 108 Shiki: Yami Barai]
type = ChangeState
value = IfElse(command = "qcf_x",1000,IfElse(command = "qcf_y",1005,1008))
triggerall = numhelper(1001) = 0
triggerall = var(49) = 0
triggerall = command = "qcf_x" || command = "qcf_y" || command = "qcf_z"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = stateno = 220 && animelemtime(3)>0 && movecontact
trigger9 = stateno = 225 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 250 && animelemtime(3)>0 && movecontact
trigger10 = stateno = 255 && animelemtime(3)>0 && movecontact
trigger11 = stateno = 420 && animelemtime(3)>0 && movecontact
trigger12 = stateno = 450 && animelemtime(3)>0 && movecontact
trigger13 = stateno = 215 && animelemtime(3)>0 && movecontact
trigger14 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Custom Combo Air]
type = ChangeState
value = 2062
triggerall = var(49) = 0
triggerall = power >= 3000 && !var(20)
triggerall = command =  "hold_c" && command = "hold_z"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, Custom Combo]
type = ChangeState
value = 2060
triggerall = var(49) = 0
triggerall = power >= 3000 && !var(20)
triggerall = command =  "hold_c" && command = "hold_z"
trigger1 = statetype = S
trigger1 = ctrl
;===========================================================================
;---------------------------------------------------------------------------
[State -1, Charge]
type = ChangeState
value = 2020
triggerall = !var(20)
triggerall = var(49) = 0
triggerall = power < 3000
trigger1 = command = "b" && command = "y"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Stand Just Defend]
type = ChangeState
value = 2030
triggerall = var(53)
triggerall = var(49) = 0
triggerall = stateno = 150 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = S
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, Crouch Just Defend]
type = ChangeState
value = 2031
triggerall = var(53)
triggerall = var(49) = 0
triggerall = stateno = 152 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = C
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, Air Just Defend]
type = ChangeState
value = 2032
triggerall = var(53)
triggerall = var(49) = 0
triggerall = stateno = 154 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = A
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, Stand Parry]
type = HitOverride
triggerall = var(52)
triggerall = var(49) = 0
triggerall = statetype = S && command = "fwd" && var(10) = 1
trigger1 = ctrl
trigger2 = stateno = [2010,2011]
attr = SA, AA, AP
stateno = 2010
time = 8
forceair = 0
;---------------------------------------------------------------------------
[State -1, Crouch Parry]
type = HitOverride
triggerall = var(52)
triggerall = var(49) = 0
triggerall = statetype != A && command = "down" && var(10) = 2
trigger1 = ctrl
trigger2 = stateno = [2010,2011]
attr = C, AA, AP
stateno = 2011
time = 8
forceair = 0
;---------------------------------------------------------------------------
[State -1, Air Parry]
type = HitOverride
triggerall = var(52)
triggerall = var(49) = 0
triggerall = statetype = A && command = "fwd" && var(10) = 3
trigger1 = ctrl
trigger2 = stateno = 2012
attr = SCA, AA, AP
stateno = 2012
time = 8
forceair = 1
;---------------------------------------------------------------------------
; Evade
[State -1, Emergency Blow]
type = ChangeState
value = 2042
triggerall = var(49) = 0
triggerall = (stateno = 150 || stateno = 151) || (stateno = 152 || stateno = 153)
triggerall = power >= 1000
triggerall = command = "y" && command = "b"
trigger1 = statetype != A
ignorehitpause = 1
;---------------------------------------------------------------------------
; Evade
[State -1, Emergency Escape]
type = ChangeState
value = IfElse(command = "holdfwd",2040,2041)
triggerall = var(49) = 0
triggerall = stateno = 150 || stateno = 151 || stateno = 152 || stateno = 153
triggerall = power >= 1000
triggerall = (command = "a" && command = "x")
trigger1 = statetype != A
ignorehitpause = 1
;---------------------------------------------------------------------------
; Evade
[State -1, Evade]
type = ChangeState
value = IfElse(command = "holdback" || command = "holddown",2002,IfElse(command = "holdfwd",2001,2000))
triggerall = var(49) = 0
triggerall = command = "a" && command = "x"
triggerall = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
; Throw
[State -1, Second Throw]
type = ChangeState
value = IfElse(var(50),870,850)
triggerall = var(49) = 0
triggerall = command = "c" && ctrl
triggerall = p2bodydist X < 30 && p2movetype != H
triggerall = stateno != 100 && statetype = S
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
;---------------------------------------------------------------------------
; Throw
[State -1, Throw]
type = ChangeState
value = 800
triggerall = var(49) = 0
triggerall = command = "z" && ctrl
triggerall = p2bodydist X < 30 && p2movetype != H
triggerall = stateno != 100 && statetype = S
trigger1 = command = "holdfwd"
trigger2 = command = "holdback"
;---------------------------------------------------------------------------
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(49) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(49) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1, Taunt]
type = ChangeState
value = IfElse(var(50),197,195)
triggerall = var(49) = 0
triggerall = command = "s"
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
[State -1,  Ge Shiki: Yuri Ori]
type = ChangeState
value = 635
triggerall = var(49) = 0
triggerall = command = "a" && command = "holdback" && command != "holdup"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1,  Ge Shiki: Goufu In Shingame]
type = ChangeState
value = 245
triggerall = var(49) = 0
triggerall = command = "b" && command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1,  Ge Shiki: Yume Biki]
type = ChangeState
value = 215
triggerall = var(49) = 0
triggerall = command = "y" && command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 210 && time >= 12 && movecontact
trigger3 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Light Punch]
type = ChangeState
value = IfElse(p2dist X < 70,205,200)
triggerall = var(49) = 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && time >= 7
trigger3 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Medium Punch]
type = ChangeState
value = 210
triggerall = var(49) = 0
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger6 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Heavy Punch]
type = ChangeState
value = IfElse(p2dist X < 70,225,220)
triggerall = var(49) = 0
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Light Kick]
type = ChangeState
value = IfElse(p2dist X < 70,235,230)
triggerall = var(49) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Medium Kick]
type = ChangeState
value = 240
triggerall = var(49) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger6 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Stand Heavy Kick]
type = ChangeState
value = IfElse(p2dist X < 70,255,250)
triggerall = var(49) = 0
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 205 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 210 && animelemtime(4)>0 && movecontact
trigger5 = stateno = 230 && animelemtime(4)>0 && movecontact
trigger6 = stateno = 235 && animelemtime(2)>0 && movecontact
trigger7 = stateno = 240 && animelemtime(3)>0 && movecontact
trigger8 = StateType = S && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Light Punch]
type = ChangeState
value = 400
triggerall = var(49) = 0
triggerall = command = "x"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && time >= 5
trigger3 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Medium Punch]
type = ChangeState
value = 410
triggerall = var(49) = 0
triggerall = command = "y"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 430 && time >= 7 && movecontact
trigger4 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Heavy Punch]
type = ChangeState
value = 420
triggerall = var(49) = 0
triggerall = command = "z"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 430 && time >= 7 && movecontact
trigger4 = stateno = 410 && animelemtime(3)>0 && movecontact
trigger5 = stateno = 440 && time >= 7 && movecontact
trigger6 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Light Kick]
type = ChangeState
value = 430
triggerall = var(49) = 0
triggerall = command = "a"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 430 && time >= 7
trigger3 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Medium Kick]
type = ChangeState
value = 440
triggerall = var(49) = 0
triggerall = command = "b"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 430 && time >= 7 && movecontact
trigger4 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Crouch Heavy Kick]
type = ChangeState
value = 450
triggerall = var(49) = 0
triggerall = command = "c"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 430 && time >= 7 && movecontact
trigger4 = stateno = 410 && animelemtime(3)>0 && movecontact
trigger5 = stateno = 440 && time >= 7 && movecontact
trigger6 = StateType = C && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Light Punch]
type = ChangeState
value = 600
triggerall = var(49) = 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Medium Punch]
type = ChangeState
value = 610
triggerall = var(49) = 0
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 630 && animelemtime(3)>0 && movecontact
trigger4 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Heavy Punch]
type = ChangeState
value = 620
triggerall = var(49) = 0
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 610 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 630 && animelemtime(3)>0 && movecontact
trigger5 = stateno = 640 && time >= 5 && movecontact
trigger6 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Light Kick]
type = ChangeState
value = 630
triggerall = var(49) = 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Medium Kick]
type = ChangeState
value = 640
triggerall = var(49) = 0
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 630 && animelemtime(3)>0 && movecontact
trigger4 = StateType = A && MoveContact && Var(20) > 0
;---------------------------------------------------------------------------
[State -1, Air Heavy Kick]
type = ChangeState
value = 650
triggerall = var(49) = 0
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && animelemtime(2)>0 && movecontact
trigger3 = stateno = 610 && animelemtime(2)>0 && movecontact
trigger4 = stateno = 630 && animelemtime(3)>0 && movecontact
trigger5 = stateno = 640 && time >= 5 && movecontact
trigger6 = StateType = A && MoveContact && Var(20) > 0
;----|AI|-------------------------------------------------------------------
[State -1, Activate AI]
type = VarSet
triggerall = var(49) != 1
trigger1 = command = "AI1"
trigger2 = command = "AI2"
trigger3 = command = "AI3"
trigger4 = command = "AI4"
trigger5 = command = "AI5"
trigger6 = command = "AI6"
trigger7 = command = "AI7"
trigger8 = command = "AI8"
trigger9 = command = "AI9"
trigger10 = command = "AI10"
trigger11 = command = "AI11"
trigger12 = command = "AI12"
trigger13 = command = "AI13"
trigger14 = command = "AI14"
trigger15 = command = "AI15"
trigger16 = command = "AI16"
trigger17 = command = "AI17"
trigger18 = command = "AI18"
trigger19 = command = "AI19"
trigger20 = command = "AI20"
trigger21 = command = "AI21"
trigger22 = command = "AI22"
trigger23 = command = "AI23"
trigger24 = command = "AI24"
trigger25 = command = "AI25"
trigger26 = command = "AI26"
trigger27 = command = "AI27"
trigger28 = command = "AI28"
trigger29 = command = "AI29"
trigger30 = command = "AI30"
trigger31 = command = "AI31"
trigger32 = command = "AI32"
trigger33 = command = "AI33"
trigger34 = command = "AI34"
trigger35 = command = "AI35"
var(49) = 1
;----------------------------------------------------------------------------
[State -1, Kill AI]
type = VarSet
triggerall = var(49) = 1
trigger1 = life < 0
trigger2 = winko
trigger3 = loseko
value = 0
v = 49
;----------------------------------------------------------------------------
;light punch
[State -1, AI Run]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 40
triggerall = StateType != A
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X > 90
trigger1 = ctrl = 1
value = 100
;----------------------------------------------------------------------------
;light punch
[State -1, AI Hop Back]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 150
triggerall = StateType != A
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X < 80
trigger1 = p2stateno = 5120
trigger1 = ctrl = 1
value = 105
;----------------------------------------------------------------------------
;light punch
[State -1, AI Evade]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 100
triggerall = StateType != A
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 90
triggerall = p2movetype = A
trigger1 = ctrl = 1
value = IfElse(random < 500,2000,IfElse(Random < 500,2001,2002))
;----------------------------------------------------------------------------
[State -1,AI Standing Guard]
type = ChangeState
triggerall = var(49) = 1
triggerall = Statetype != A
triggerall = P2statetype != C ;
triggerall = Statetype = S
triggerall = P2Movetype = A
triggerall = Pos Y != [-1,-999]
triggerall = ctrl = 1
trigger1 = random <= 600
value = 130
;----------------------------------------------------------------------------
; AI Stand to Crouch Guard Transition
;----------------------------------------------------------------------------
[State -1,AI Stand to Crouch Guard Transition]
type = ChangeState
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = P2statetype = C
triggerall = P2Movetype = A
triggerall = Pos Y != [-1,-999]
trigger1 = stateno = 150
trigger1 = 1
value = 152
;----------------------------------------------------------------------------
; AI Crouching Guard
;----------------------------------------------------------------------------
[State -1, AI Crouching Guard]
type = ChangeState
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = P2statetype = C
triggerall = P2Movetype = A
triggerall = Pos Y != [-1,-999]
triggerall = ctrl = 1
trigger1 = random <= 600
value = 131
;----------------------------------------------------------------------------
; AI Crouch to Stand Guard Transition
;----------------------------------------------------------------------------
[State -1,AI Crouch to Stand Guard Transition]
type = ChangeState
triggerall = var(49) = 1
triggerall = Statetype != A
triggerall = P2statetype != C
triggerall = P2Movetype = A
trigger1 = 1
trigger1 = stateno = 152
value = 150
;----------------------------------------------------------------------------
; AI Aerial Guard
;----------------------------------------------------------------------------
[State -1,AI Aerial Guard]
type = ChangeState
triggerall = var(49) = 1
triggerall = Statetype = A
triggerall = P2Movetype = A
triggerall = ctrl = 1
trigger1 = random <= 600
value = 132
;----------------------------------------------------------------------------
;light punch
[State -1, AI light punch]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 120
triggerall = StateType = S
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(p2dist X < 70,205,200)
;----------------------------------------------------------------------------
;medium punch
[State -1, AI medium punch]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType = S
triggerall = random <= 120
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = stateno = 200 && movecontact
trigger3 = StateType = S && MoveContact && Var(20) > 0
value = 210
;----------------------------------------------------------------------------
;heavy punch
[State -1, AI heavy Attack]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 120
triggerall = StateType = S
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = movecontact && stateno = 210
trigger3 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(p2dist X < 70,225,220)
;----------------------------------------------------------------------------
;light punch
[State -1, AI light Kick]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 150
triggerall = StateType = S
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(p2dist X < 70,235,230)
;----------------------------------------------------------------------------
;medium punch
[State -1, AI medium Kick]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 110
triggerall = StateType = S
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = stateno = 230 && movecontact
trigger3 = StateType = S && MoveContact && Var(20) > 0
value = 240
;----------------------------------------------------------------------------
;heavy punch
[State -1, AI heavy Kick]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 150
triggerall = StateType = S
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 60
trigger1 = ctrl = 1
trigger2 = movecontact && stateno = 240
trigger3 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(p2dist X < 70,255,250)
;----------------------------------------------------------------------------
;light punch
[State -1, AI Crouch Attack]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 250
triggerall = StateType = C
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 70
trigger1 = ctrl = 1
trigger2 = StateType = C && MoveContact && Var(20) > 0
value = IfElse(random < 500,450,420)
;----------------------------------------------------------------------------
;light punch
[State -1, AI Air Attack]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 250
triggerall = StateType = A
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 70
trigger1 = ctrl = 1
trigger2 = StateType = A && MoveContact && Var(20) > 0
value = IfElse(random < 500,620,650)
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ge Shiki: Yume Biki]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType = S
triggerall = random <= 90
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 50
trigger1 = ctrl = 1
trigger2 = stateno = 210 && movecontact
trigger3 = StateType = S && MoveContact && Var(20) > 0
trigger4 = MoveContact && Var(20) > 0 && stateno = 215
value = 215
;----------------------------------------------------------------------------
;medium punch
[State -1, AI 108 Shiki: Yami Bari]
type = ChangeState
triggerall = numhelper(1001) = 0
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = Movetype != H
triggerall = P2Life > 0
trigger1 = ctrl = 1 && P2bodydist X > 100 && random <= 80
trigger2 = stateno = 220 && movecontact && P2bodydist X <= 90 && random <= 50
trigger3 = stateno = 250 && movecontact && P2bodydist X <= 90 && random <= 50
value = IfElse(Random < 500,1000,IfElse(Random < 500,1005,1008))
;----------------------------------------------------------------------------
;medium punch
[State -1, AI 100 Shiki: Oni Yaki]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 50
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 40
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 450 && movecontact
trigger5 = stateno = 420 && movecontact
trigger6 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(random < 300,1020,IfElse(random < 400,1023,1026))
;----------------------------------------------------------------------------
;medium punch
[State -1, AI 127 Shiki: Aoi Hana]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 110
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <=50
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 215 && movecontact
trigger6 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(random < 300,1030,IfElse(random < 400,1034,1037))
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, AI Aoi Hana Second]
type = ChangeState
value = IfElse(random < 300,1031,IfElse(random < 400,1035,1038))
triggerall = random < 300
triggerall = var(49) = 1
triggerall = statetype != A
trigger1 = stateno = 1030 && animelemtime(4)>0 && movecontact
trigger2 = stateno = 1034 && animelemtime(4)>0 && movecontact
trigger3 = stateno = 1037 && animelemtime(4)>0 && movecontact
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, AI Aoi Hana Third]
type = ChangeState
value = IfElse(random < 300,1032,IfElse(random < 400,1036,1039))
triggerall = random < 400
triggerall = var(49) = 1
triggerall = statetype != A
trigger1 = stateno = 1031 && animelemtime(4)>0 && movecontact
trigger2 = stateno = 1035 && animelemtime(4)>0 && movecontact
trigger3 = stateno = 1038 && animelemtime(4)>0 && movecontact
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Kuzu Kaze]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = stateno != 1040
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 60
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 50
trigger1 = ctrl = 1
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 205 && movecontact
trigger4 = StateType = S && MoveContact && Var(20) > 0
value = 1040
;----------------------------------------------------------------------------
;medium punch
[State -1, AI 212 Shiki: Koto Tsuki In]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 60
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X <= 90
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 450 && movecontact
trigger5 = stateno = 420 && movecontact
trigger6 = StateType = S && MoveContact && Var(20) > 0
value = IfElse(random < 300,1050,IfElse(random < 400,1054,1057))
;---------------------------------------------------------------------------
; Throw
[State -1, AI Second Throw]
type = ChangeState
value = IfElse(var(50),870,850)
triggerall = stateno != [3100,3199]
triggerall = !var(20)
triggerall = var(49) = 1
triggerall = random <= 25
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = p2bodydist X < 30 && p2movetype != H
triggerall = stateno != 100 && statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
; Throw
[State -1, AI Throw]
type = ChangeState
value = 800
triggerall = stateno != [3100,3199]
triggerall = !var(20)
triggerall = var(49) = 1
triggerall = random <= 25
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = p2bodydist X < 30 && p2movetype != H
triggerall = stateno != 100 && statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, AI Custom Combo]
type = ChangeState
value = 2060
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = power >= 3000 && !var(20)
triggerall = StateType = S
triggerall = random <= 40
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = P2bodydist X > 50
trigger1 = statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
[State -1, AI Stand Parry]
type = HitOverride
triggerall = var(52)
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = statetype != A && random < 40 && var(10) = 1
trigger1 = ctrl = 1
trigger2 = stateno = [2010,2011]
attr = SA, AA, AP
stateno = 2010
time = 8
forceair = 0
;---------------------------------------------------------------------------
[State -1, AI Crouch Parry]
type = HitOverride
triggerall = var(52)
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = statetype != A && random < 20 && var(10) = 2
trigger1 = ctrl = 1
trigger2 = stateno = [2010,2011]
attr = C, AA, AP
stateno = 2011
time = 8
forceair = 0
;---------------------------------------------------------------------------
[State -1, AI Air Parry]
type = HitOverride
triggerall = var(52)
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = statetype = A && random < 30 && var(10) = 3
trigger1 = ctrl = 1
trigger2 = stateno = 2012
attr = SCA, AA, AP
stateno = 2012
time = 8
forceair = 1
;---------------------------------------------------------------------------
[State -1, AI Stand Just Defend]
type = ChangeState
value = 2030
triggerall = var(53)
triggerall = stateno != [3100,3199]
triggerall = random < 5
triggerall = var(49) = 1
triggerall = stateno = 150 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = S
trigger1 = ctrl = 1
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, AI Crouch Just Defend]
type = ChangeState
value = 2031
triggerall = var(53)
triggerall = stateno != [3100,3199]
triggerall = random < 5
triggerall = var(49) = 1
triggerall = stateno = 152 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = C
trigger1 = ctrl = 1
ignorehitpause = 1
;---------------------------------------------------------------------------
[State -1, AI Air Just Defend]
type = ChangeState
value = 2032
triggerall = var(53)
triggerall = stateno != [3100,3199]
triggerall = random < 5
triggerall = var(49) = 1
triggerall = stateno = 154 && var(15) = [1,7]
triggerall = time = 1
trigger1 = statetype = A
trigger1 = ctrl = 1
ignorehitpause = 1
;---------------------------------------------------------------------------
; Throw
[State -1, AI Charge]
type = ChangeState
value = 2020
triggerall = !var(20)
triggerall = power < 3000
triggerall = stateno != [3100,3199]
triggerall = var(49) = 1
triggerall = random <= 110
triggerall = Movetype != H
triggerall = P2Life > 0
triggerall = p2bodydist X > 120 && p2movetype != H
triggerall = stateno != 100 && statetype = S
triggerall = p2movetype != A
trigger1 = ctrl = 1
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Otome Light]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = power >= 1000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 140
triggerall = Movetype != H
triggerall = P2Life > 120
triggerall = P2bodydist X <=60
triggerall = p2statetype != L
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = StateType = S && MoveContact && Var(20) > 0
value = 3000
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Otome Medium]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = !var(20)
triggerall = power >= 2000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 160
triggerall = Movetype != H
triggerall = P2Life > 300
triggerall = P2bodydist X <=80
triggerall = p2statetype != L
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
value = 3010
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Otome Hard]
type = ChangeState
triggerall = stateno != [3100,3199]
triggerall = !var(20)
triggerall = power >= 3000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 170
triggerall = Movetype != H
triggerall = P2Life > 400
triggerall = P2bodydist X <=100
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
value = 3030
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Sakazuki Light]
type = ChangeState
triggerall = power >= 1000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 20
triggerall = Movetype != H
triggerall = P2Life > 40
triggerall = P2bodydist X <=70
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
trigger7 = StateType = S && MoveContact && Var(20) > 0
value = 3100
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Sakazuki Medium]
type = ChangeState
triggerall = !var(20)
triggerall = power >= 2000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 25
triggerall = Movetype != H
triggerall = P2Life > 150
triggerall = P2bodydist X > 80
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
value = 3120
;----------------------------------------------------------------------------
;medium punch
[State -1, AI Ya Sakazuki Hard]
type = ChangeState
triggerall = !var(20)
triggerall = power >= 3000
triggerall = var(49) = 1
triggerall = StateType != A
triggerall = random <= 30
triggerall = Movetype != H
triggerall = P2Life > 200
triggerall = P2bodydist X > 100
trigger1 = ctrl = 1
trigger2 = stateno = 220 && movecontact
trigger3 = stateno = 250 && movecontact
trigger4 = stateno = 420 && movecontact
trigger5 = stateno = 450 && movecontact
trigger6 = stateno = 215 && movecontact
value = 3140

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, AI Orochi]
type = ChangeState
value = 3999
triggerall = life < 500
triggerall = var(49) = 1
triggerall = var(50) = 0
triggerall = var(51) = 0 || var(51) = 1
triggerall = !var(20)
triggerall = StateType != A
triggerall = random <= 50
triggerall = Movetype != H
triggerall = power >= 1000
trigger1 = ctrl = 1
